Retrieve Signing Certificate
The following endpoint allows you to retrieve a signing certificate included in a Spark message header to verify that the received message came from Vault.
GET
/api/{version}/services/certificate/{cert_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{cert_id} | The cert_id is provided in each Spark message in the X-VaultAPISignature-CertificateId header. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v19.1/services/certificate/00001Response Details
Section link for Response DetailsOn SUCCESS, the response includes the public key certificate (.pem) file used for Message Verification.